#ifndef _PLUGIN_H
#define _PLUGIN_H
extern char msg[1024];
extern bool BlockDeathMsg;
extern int gmsgDeathMsg;

typedef struct pdata_s
{
	int m_Attack;
	int m_SiegeUsing;
	int m_WeaponHolstered;
	
} pdata_t;


extern pdata_t	PlayerData[33];

extern int UTIL_HolsterWeapon(edict_t *pEntity);
extern int UTIL_DeployWeapon(edict_t *pEntity);
extern bool UTIL_IsBuilt(edict_t *pent);
extern int UTIL_HasAdvTF(edict_t *pEntity);
extern int UTIL_Damage(edict_t *pVictim, edict_t *pAttacker, float Damage, char *Weapon);


inline unsigned short FixedUnsigned16( float value, float scale )
{
	int output;
	
	output = (int)(value * scale);
	if ( output < 0 )
		output = 0;
	if ( output > 0xFFFF )
		output = 0xFFFF;
	
	return (unsigned short)output;
}

inline short FixedSigned16( float value, float scale )
{
	int output;
	
	output = (int)(value * scale);
	
	if ( output > 32767 )
		output = 32767;
	
	if ( output < -32768 )
		output = -32768;
	
	return (short)output;
}

inline void SAFE_USER_MSG(int &gmsgvar, const char *szMsgName, const int &iSize) {
	if(gmsgvar == 0) 
	{
		//attempt to get the msg from the game that's running
		gmsgvar = GET_USER_MSG_ID( &Plugin_info, szMsgName, NULL);
		
		//and if that fails, register it ourselves
		if(gmsgvar == 0) gmsgvar = REG_USER_MSG(szMsgName, iSize);
	}
}

#endif

